Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.jdbc.rowset
Class RowSetFactory

    java.lang.Object
      weblogic.jdbc.rowset.RowSetFactory

public abstract class RowSetFactory
extends Object

RowSetFactory is a factory class for creating `javax.sql.RowSet` implementations.

       RowSetFactory factory = RowSetFactory.newInstance();
       RowSet rs             = factory.newCachedRowSet();

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`protected` | `RowSetFactory()`

Method Summary
`abstract DataSource` | `getDataSource()`
`abstract String` | `getDataSourceName()`
`abstract String` | `getPassword()`
`abstract String` | `getUrl()`
`abstract String` | `getUsername()`
`abstract WLCachedRowSet` | `newCachedRowSet()` Creates a new `WLCachedRowSet` instance.
`static RowSetFactory` | `newInstance()` Creates a new `RowSetFactory` instance
`abstract JdbcRowSet` | `newJdbcRowSet()`
`abstract JoinRowSet` | `newJoinRowSet()`
`abstract void` | `setDataSource(DataSource ds)`
`abstract void` | `setDataSourceName(String s)`
`abstract void` | `setPassword(String s)`
`abstract void` | `setUrl(String s)`
`abstract void` | `setUsername(String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowSetFactory

    protected RowSetFactory()

Method Detail

### getDataSource

    public abstract DataSource getDataSource()

### getDataSourceName

    public abstract String getDataSourceName()

### getPassword

    public abstract String getPassword()

### getUrl

    public abstract String getUrl()

### getUsername

    public abstract String getUsername()

### newCachedRowSet

    public abstract WLCachedRowSet newCachedRowSet()

  Creates a new `WLCachedRowSet` instance.

  Returns:
    a new `WLCachedRowSet` instance

### newInstance

    public static RowSetFactory newInstance()

  Creates a new `RowSetFactory` instance

  Returns:
    a RowSetFactory instance

### newJdbcRowSet

    public abstract JdbcRowSet newJdbcRowSet()

### newJoinRowSet

    public abstract JoinRowSet newJoinRowSet()

### setDataSource

    public abstract void setDataSource(DataSource ds)

### setDataSourceName

    public abstract void setDataSourceName(String s)

### setPassword

    public abstract void setPassword(String s)

### setUrl

    public abstract void setUrl(String s)

### setUsername

    public abstract void setUsername(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD